/********** DATA FOR TABLE A1 "Global Cross-Border Securities Assets" *********/

clear
set memory 500m
set more off

use "data_full_matrices.dta"


/* Col. (2) */
table year if source==9999, c(sum augmeqasset sum augmdebtasset) format(%12.0fc)

/* Col. (3') TOTAL CAYMAN --> subtract bank sector to get col. (3) */
/* Total Cayman assets */
table year if source==377, c(sum augmeqasset sum augmdebtasset) format(%12.0fc)
/* bank sector Cayman assets */
sort source host year
table year if source==377&toteqasset!=toteqasset[_n-1],c(mean toteqasset mean totdebtasset) format(%12.0fc)

/* Col. (1) + (3) + (4) */
table year if cpis==1, c(sum augmeqasset sum augmdebtasset) format(%12.0fc)

/* Col. (5) */
table year if sourcename=="China, P.R.", c(sum augmeqasset sum augmdebtasset) format(%12.0fc)

/* Col (7) (NB: includes correction for CPIS reporting oil exporters, i.e. assets of Kuwait and Bahrain in 2001 and 2002 */
table year if sourcename=="Saudi Arabia"|source==419|source==443, c(sum augmeqasset sum augmdebtasset) format(%12.0fc)

/* Col. (9) */
table year if source==419|source==443, c(sum augmeqasset sum augmdebtasset) format(%12.0fc)

/* Col. (12) */
table year if source==9994, c(sum augmeqasset sum augmdebtasset) format(%12.0fc)

/* Col. (13) */
table year, c(sum augmeqasset sum augmdebtasset) format(%12.0fc)




