/*************** DATA FOR TABLE A2 "Global Cross-border securities liabilities" *********/

clear
set memory 500m
set more off

use "data_full_matrices.dta"

sort host year source
collapse (first) hostname ewnii_host lequity_host lportif_debt_host eqliab_host derivedeqliab_host lportif_debt_IMF deriveddebtliab_host debtliab_host gapeq_host gapdebt_host missingliabeq missingliabdebt uscommstk, by(host year)

/* Col. (1) */
table year, c(sum lequity_host sum lportif_debt_host) format(%12.0fc)

/* Col. (3): no portfolio debt data in EWNII, but data in IMF IIP or derived debt liab */
table year if ewnii_host==1&lportif_debt_host==., c(sum debtliab_host) format(%12.0fc)


/* col. (5) */
table year, c(sum missingliabeq sum missingliabdebt) format(%12.0fc)


/* (6)-(7) */
table year if host==377, c(sum eqliab_host sum debtliab_host) format(%12.0fc)
table year if ewnii_host!=1&uscommstk!=.&host!=377, c(sum eqliab_host sum debtliab_host) format(%12.0fc)


/* Col. (9) */
table year if ewnii_host!=1&uscommstk==.&host!=9998, c(sum eqliab_host sum debtliab_host) format(%12.0fc)

/* Col. (10) */
table year if host==9998, c(sum eqliab_host sum debtliab_host) format(%12.0fc)


/* col. (11) */
table year, c(sum eqliab_host sum debtliab_host) format(%12.0fc)


