/************** DATA FOR TABLE A4: "Main Cross-Border Investors" **************/


clear
set memory 500m
set more off

use "data_full_matrices.dta"



/* Main onshore Holders: col. (1)-(5) */
table year sourcename if sourcename=="United States"|sourcename=="United Kingdom"|sourcename=="Japan"|sourcename=="Germany"|sourcename=="France", c(sum augmeqasset) format(%12.0fc)
table year sourcename if sourcename=="United States"|sourcename=="United Kingdom"|sourcename=="Japan"|sourcename=="Germany"|sourcename=="France", c(sum augmdebtasset) format(%12.0fc)


/* Main offshore holders: col. (10)-(14) */
table year sourcename if sourcename=="Cayman Islands"|sourcename=="Ireland"|sourcename=="Luxembourg"|sourcename=="Hong Kong SAR of China"|sourcename=="Bermuda", c(sum augmeqasset) format(%12.0fc)
table year sourcename if sourcename=="Cayman Islands"|sourcename=="Ireland"|sourcename=="Luxembourg"|sourcename=="Hong Kong SAR of China"|sourcename=="Bermuda", c(sum augmdebtasset) format(%12.0fc)

/* Total recorded offshore: col. (16) 
Def of OFC = IMF (2000), Table 2 (I had excluded Switzerland from the list for the gravity regressions, because it is not an on-balance sheet OFC (not many funds) */
replace ofc_source=1 if sourcename=="Switzerland"
table year if ofc_source==1, c(sum augmeqasset sum augmdebtasset) format(%12.0fc)
